import 'package:diplomaticquarterapp/core/model/ask_doctor/DoctorResponse.dart';
import 'package:diplomaticquarterapp/core/viewModels/medical/ask_doctor_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';

class ViewDoctorResponsesPage extends StatelessWidget {
  final DoctorResponse doctorResponse;

  const ViewDoctorResponsesPage({Key key, this.doctorResponse})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BaseView<AskDoctorViewModel>(
      onModelReady: (model) => model.updateReadStatus(transactionNo: doctorResponse.transactionNo),
      builder: (_, model, w) => AppScaffold(
        isShowAppBar: true,
        appBarTitle: TranslationBase.of(context).viewDoctorResponses,
        baseViewModel: model,
        body: SingleChildScrollView(
          child: Container(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [],
            ),
          ),
        ),
      ),
    );
  }
}
